#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires mecab dictionary)
#
%include	/usr/lib/rpm/macros.perl
Summary:	MeCab module for Perl
Summary(pl.UTF-8):	Moduł MeCab dla Perla
Name:		perl-mecab
Version:	0.996
Release:	5
License:	GPL v2 or LGPL v2.1 or BSD
Group:		Development/Languages/Perl
#Source0Download: http://code.google.com/p/mecab/downloads/list
Source0:	http://mecab.googlecode.com/files/mecab-perl-%{version}.tar.gz
# Source0-md5:	af03fd644dfdfa239c63ae6279bfc4ce
URL:		http://code.google.com/p/mecab/
BuildRequires:	libstdc++-devel
BuildRequires:	mecab-devel >= 0.996
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%{?with_tests:BuildRequires:	mecab-ipadic}
Requires:	mecab >= 0.996
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MeCab module for Perl.

%description -l pl.UTF-8
Moduł MeCab dla Perla.

%prep
%setup -q -n mecab-perl-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cxx}"
	OPTIMIZE="%{rpmcxxflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD COPYING README bindings.html
%{perl_vendorarch}/MeCab.pm
%dir %{perl_vendorarch}/auto/MeCab
%attr(755,root,root) %{perl_vendorarch}/auto/MeCab/MeCab.so
%changelog
* Thu Mar 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-mecab.git;a=log;h=auto/th/perl-mecab-0.996-5

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 141b4fc
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5fc6366
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4a237d2
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c7fb3e8
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 34dab15
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 1da37a0
- updated to 0.996

* Sat Jan 26 2013 Jakub Bogusz <qboosh@pld-linux.org> ff4dd4f
- requires mecab 0.995

* Sat Jan 26 2013 Jakub Bogusz <qboosh@pld-linux.org> cd588a5
- updated to 0.995

* Sat Nov 24 2012 Jakub Bogusz <qboosh@pld-linux.org> bbf4838
- new

